## GVirNodeDevice GVirNodeDevice |

## Synopsis

    struct              GVirNodeDevice;
    struct              GVirNodeDeviceClass;
    const gchar *       gvir_node_device_get_name           (GVirNodeDevice *device);
    GVirConfigNodeDevice * gvir_node_device_get_config      (GVirNodeDevice *device,
                                                             guint flags,
                                                             GError **err);

## Object Hierarchy

      GObject
       +----GVirNodeDevice

## Properties

      "handle"                   GVirNodeDeviceHandle*  : Read / Write / Construct Only

## Description

## Details

### struct GVirNodeDevice

    struct GVirNodeDevice;

### struct GVirNodeDeviceClass

    struct GVirNodeDeviceClass {
        GObjectClass parent_class;

        gpointer padding[20];
    };

### gvir_node_device_get_name ()

    const gchar *       gvir_node_device_get_name           (GVirNodeDevice *device);

### gvir_node_device_get_config ()

    GVirConfigNodeDevice * gvir_node_device_get_config      (GVirNodeDevice *device,
                                                             guint flags,
                                                             GError **err);

`device` : | the node_device
`flags` : | the flags
`err` : | Place-holder for possible errors
Returns : | the config. The returned object should be unreffed with `g_object_unref()` when no longer needed. [transfer full]

## Property Details

### The `"handle"` property

      "handle"                   GVirNodeDeviceHandle*  : Read / Write / Construct Only

The node_device handle.